/*!
 * \file m2.h
 * \brief M2 Project Common Types.
 *
 * M2 Common Types Defination.
 * \author Li Yanrui
 * \date 2008.04.14
 */

#ifndef M2_H
#define M2_H

#include <glib.h>

#define M2_PI           G_PI            /*!< pi 预设值，等于 Glib 的 G_PI 宏 */
#define M2_PI_2         G_PI_2          /*!< (pi/2) 预设值 */
#define M2_PI_4         G_PI_4          /*!< (pi/4) 预设值 */
#define M2_DOUB_MAX     G_MAXDOUBLE     /*!< 双精度最大值 */
#define M2_ZERO         G_MINDOUBLE     /*!< 双精度零值 */

/*!
 * \brief 3D 点类型 
 */
typedef struct {
        double coord[3]; /*!< 3D 点坐标值数组 */ 
}M2_3D_Point;

/*!
 * \brief 3D 向量类型
 */
typedef M2_3D_Point M2_3D_Vector;

#endif

